### Method

# Gtk MediaStreamstream_prepared

since: 4.4

#### Declaration [src]

    void
    gtk_media_stream_stream_prepared (
      GtkMediaStream* self,
      gboolean has_audio,
      gboolean has_video,
      gboolean seekable,
      gint64 duration
    )

#### Description [src]

Called by `GtkMediaStream` implementations to advertise the stream being ready to play and providing details about the stream.

Note that the arguments are hints. If the stream implementation cannot determine the correct values, it is better to err on the side of caution and return `TRUE`. User interfaces will use those values to determine what controls to show.

This function may not be called again until the stream has been reset via `gtk_media_stream_stream_unprepared()`.

Available since: 4.4

#### Parameters

`has_audio`

  Type: `gboolean`

  `TRUE` if the stream should advertise audio support.

`has_video`

  Type: `gboolean`

  `TRUE` if the stream should advertise video support.

`seekable`

  Type: `gboolean`

  `TRUE` if the stream should advertise seekability.

`duration`

  Type: `gint64`

  The duration of the stream or 0 if unknown.